/* ======================================================== */
/* MAIN VISUAL */
.c-mainvisual {
  width: 100%;
  position: relative;
  display: flex;
  height: 100vh;
}
.c-mainvisual-slider {
  position: absolute;
  top: 54%;
  transform: translateY(-50%);
  right: 0;
  width: 100%;
  max-width: 1120px;
  height: 730px;
  overflow: hidden;
  /* border-top-left-radius: 50px; */
  /* border-bottom-left-radius: 50px; */
  z-index: 4;
}

.c-mainvisual__slider {
  height: 100%;
  padding-bottom: 55px;
}
.c-mainvisual__slider .c-bg {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* border-top-left-radius: 50px; */
  /* border-bottom-left-radius: 50px; */
}
/* .c-mainvisual__slider .swiper-slide-active .c-bg {
  animation: visual1 cubic-bezier(0, 0, 0.58, 1) 5s;
}
@keyframes visual1 {
  from {
    transform: scale(1.5) translate(0, -5%);
  }
  to {
    transform: scale(1) translate(0, 0);
  }
} */

.c-mainvisual__content {
  position: absolute;
  top: 51%;
  transform: translateY(-50%);
  left: 120px;
  z-index: 9;
}
.c-mainvisual-slider .swiper-wrapper {
  overflow: hidden;
  /* border-top-left-radius: 50px; */
  /* border-bottom-left-radius: 50px; */
}
.c-mainvisual-slider .swiper-pagination {
  position: relative;
  margin-top: 0;
  bottom: -35px;
  text-align: left;
  padding-left: 90px;
  z-index: 999999999;
}
.c-mainvisual-slider .item2 .c-bg {
  background-position-x: left;
  background-position-y: 20px;
}
.c-mainvisual-slider .item3 .c-bg {
  background-position-x: 75%;
  background-position-y: 50px;
}
/** custom */

@media (max-width: 1550px) {
  .c-mainvisual-slider {
    max-width: 800px;
    height: 600px;
    top: 50%;
  }
  .c-mainvisual__content {
    top: 45%;
  }
  .c-mainvisual__content h2 {
    font-size: 25px;
  }
  .c-mainvisual__content img {
    width: 500px;
  }
}
@media (max-width: 1200px) {
  .c-mainvisual-slider {
    max-width: 650px;
    height: 70%;
    top: 55%;
  }
  .c-mainvisual__content h2 {
    font-size: 20px;
  }
  .c-mainvisual__content img {
    width: 420px;
  }
  .c-mainvisual__content {
    left: 5%;
  }
}
@media (max-width: 1024px) {
  .c-mainvisual-slider {
    max-width: 500px;
    height: 80%;
  }
  .c-mainvisual__content h2 {
    font-size: 20px;
  }
  .c-mainvisual__content img {
    width: 420px;
  }
  .c-mainvisual__content {
    left: 5%;
  }
}
@media (max-width: 767px) {
  .c-mainvisual {
    /* height: 680px; */
    align-items: flex-end;
  }
  .c-mainvisual-slider {
    max-width: 100%;
    height: calc(100% - 232px - 70px);
    top: 70px;
    transform: translateY(0);
    z-index: 2;
  }
  .c-mainvisual__content {
    top: auto;
    transform: translateY(0);
    bottom: 140px;
    left: 0;
    padding: 0 15px 20px;
    background-color: #fff;
    color: #111;
    height: auto;
    position: static;
  }
  .c-mainvisual__content h2,
  .c-mainvisual__content p {
    /* color: #fff; */
    color: #111;
  }
  .c-mainvisual__content h2 {
    font-size: 15px;
  }
  .c-mainvisual__content p {
    font-size: 12px;
  }
  .c-mainvisual__title img {
    width: 100%;
    position: relative;
    top: -10px;
  }
  .c-mainvisual__content img {
    width: 280px;
    position: relative;
    top: -18px;
    margin-bottom: -10px;
  }
}

/* MARQUEE */
.c-marquee {
  display: flex;
  white-space: nowrap;
  width: 100%;
  /* overflow: hidden; */
  font-family: sans-serif;
  position: absolute;
  bottom: -130px;
  left: 0;
  z-index: 3;
}

.c-marquee__text {
  font-size: 400px;
  line-height: 1;
  text-transform: uppercase;
  font-weight: 700;
  font-family: YuMincho;
  letter-spacing: 0;
  padding: 0 50px;
  color: #009fe8;
  -webkit-animation-name: marquee;
  animation-name: marquee;
  -webkit-animation-duration: 30s;
  animation-duration: 30s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  opacity: 0.06;
}

@keyframes marquee {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}
@media screen and (max-width: 1024px) {
  .c-marquee {
    bottom: -80px;
  }
  .c-marquee__text {
    font-size: 300px;
    line-height: 1;
    -webkit-animation-duration: 20s;
    animation-duration: 20s;
  }
}
@media screen and (max-width: 768px) {
  .c-marquee {
    height: auto;
  }
  .c-marquee__text {
    font-size: 75px;
    padding: 0 20px;
    margin-top: -60px;
  }
}
/* END MARQUEE */
/**Block1*/
.block1 {
  position: relative;
}
.block1::before {
  background-color: #f0f9fc;
  position: absolute;
  bottom: 15.2%;
  right: 0;
  width: 1460px;
  height: 2088px;
  z-index: -1;
}
/* .block1::after{
  background-image: url('../images/top/bg2.png');
  height: 1648px;
  width: 100%;
  position: absolute;
  left: 0;
  top: 53%;
  z-index: -2;
} */
@media (max-width: 1550px) {
  .block1::before {
    width: 1100px;
    /* bottom: 250px; */
  }
}
@media (max-width: 1200px) {
  .block1::before {
    width: 800px;
    /* bottom: 350px; */
  }
}
@media (max-width: 1024px) {
  .block1::before {
    width: 700px;
    /* bottom: 450px; */
  }
}
@media (max-width: 768px) {
  .block1::before {
    display: none;
  }
}
/**End Block1*/

/**about*/
.c-about__slider {
  padding-bottom: 40px;
}
.c-about__slider img {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  /* border-radius: 60px; */
}
.c-about__slider .swiper-slide {
  transform-origin: center;
  max-width: 880px;
  height: auto;
  aspect-ratio: 880 / 587;
  position: relative;
  overflow: hidden;
  transform: scale(0.819);
  transition: transform 0.25s ease;
  /* border-radius: 60px; */
}

.c-about__slider .swiper-slide-active {
  transform: scale(1);
}
.c-about__slider .swiper-pagination {
  display: block;
}
.c-about__inner {
  display: flex;
  justify-content: center;
  position: relative;
}
.c-about__content {
  width: 655px;
  border-radius: 10px;
  background-color: #f0f9fc;
  padding: 0px 75px 80px;
  margin-top: -19.5%;
  margin-right: -38%;
  position: relative;
  z-index: 2;
}
.c-about__label {
  /* border-radius: 60px; */
  padding: 8px 27px;
  background-color: #009fe8;
  color: #fff;
  font-size: 16px;
  display: inline-block;
  text-align: center;
  position: relative;
  top: -23px;
}
@media (max-width: 1100px) {
  .c-about__content {
    width: 500px;
    padding: 0 40px 40px;
  }
  .c-about__slider .swiper-slide {
    height: auto;
    margin: 0 -5px !important;
    max-width: 500px;
  }
}
@media (max-width: 768px) {
  .c-about__slider .swiper-slide {
    margin: 0 !important;
    max-width: 100%;
    transform: scale(1);
  }
  .c-about__content {
    text-align: center;
    padding: 0 20px 35px;
    margin: 65px auto 0;
  }
  .c-about__slider {
    width: calc(100% - 40px);
  }
}
/**End about*/

/**works*/
.c-works-sliders {
  gap: 83px;
  position: relative;
  padding: 0 0 90px;
  align-items: center;
  justify-content: flex-start;
}
.c-works-sliders:before {
  content: "";
  background-size: cover;
  background-position: center;
  position: absolute;
  background-image: url("../images/top/bg4.png");
  background-color: #f0f9fc;
  border-bottom-left-radius: 100px;
  border-top-left-radius: 100px;
  bottom: -50px;
  right: 0;
  width: 1460px;
  height: 513px;
  opacity: 0.97;
}
.c-works-slider {
  width: 1160px;
  margin-left: -200px;
  margin-right: 0;
  height: 485px;
  padding-bottom: 30px;
}

.c-works-slider img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  /* border-radius: 20px; */
  display: block;
}
.c-works-sliders__content {
  width: 506px;
  margin-top: -20px;
}

.c-works-slider__img {
  width: 100%;
  display: block;
  overflow: hidden;
  position: relative;
}

.top-slider .swiper-slide {
  display: flex;
  align-items: center;
  transition: all ease 0.4s;
}

.top-slider .swiper-slide:hover {
  opacity: 1;
}

.top-slider .swiper-slide:hover .c-works-slider__img::after {
  opacity: 0.5;
}
.top-slider .swiper-slide:hover .c-works-slider__img span {
  bottom: 34%;
}
.top-slider .swiper-wrapper {
  align-items: center;
}
.top-slider .swiper-pagination {
  display: flex;
  justify-content: flex-end;
  bottom: 0;
}
.top-slider .swiper-pagination-bullet {
  background: #ccc;
  width: 10px;
  height: 10px;
  margin: 0 5px !important;
  opacity: 1 !important;
}

/*Left*/

.top-slider .swiper-pagination-bullet-active {
  background: #009fe8;
}
.top-slider .swiper-slide.swiper-slide-active {
  width: 460px !important;
}
.top-slider .swiper-slide.swiper-slide-next {
  width: 640px !important;
}

.c-works-sliders.--left {
}
.c-works-sliders.--left .swiper-pagination {
  padding-right: 10px;
}
@media (max-width: 1650px) {
  .c-works-sliders {
    align-items: center;
    gap: 60px;
  }

  /*Left*/
  .c-works-sliders:before {
    width: 1020px;
    height: 400px;
    border-bottom-left-radius: 50px;
    border-top-left-radius: 50px;
  }
  .c-works-slider {
    width: 830px;
    height: 380px;
    margin-left: -200px;
  }
  .top-slider .swiper-slide.swiper-slide-active {
    width: 320px !important;
  }
  .top-slider .swiper-slide.swiper-slide-next {
    width: 480px !important;
  }
}
@media (max-width: 1400px) {
  .c-works-sliders {
    padding-right: 20px;
    gap: 35px;
  }
  /*Left*/
  .c-works-slider {
    width: 750px;
    height: 335px;
    margin-left: -150px;
  }
  .c-works-sliders__content {
  }

  .top-slider .swiper-slide.swiper-slide-active {
    width: 315px !important;
  }
  .top-slider .swiper-slide.swiper-slide-next {
    width: 375px !important;
  }
}
@media (max-width: 1024px) {
  .c-works-sliders {
    padding: 105px 0 50px;
    padding-left: 30px;
  }
  .c-works-sliders:before {
    border-top-left-radius: 60px;
    border-bottom-left-radius: 60px;
  }
  /*Left*/
  .c-works-slider {
    width: 500px;
    height: 250px;
    margin-left: -110px;
  }
  .c-works-sliders.--left {
    padding-right: 30px;
    padding-left: 0;
    padding-top: 30px;
  }
  .c-works-sliders__content {
    width: 48%;
    padding: 0 20px;
  }

  .top-slider .swiper-slide.swiper-slide-active {
    width: 200px !important;
  }
  .top-slider .swiper-slide.swiper-slide-next {
    width: 285px !important;
  }
}

@media (max-width: 768px) {
  .c-works-sliders,
  .c-works-sliders.--left {
    flex-wrap: wrap;
    padding: 0 20px;
    position: relative;
  }
  .c-works-slider {
    width: 100%;
    margin: auto !important;
    height: inherit;
    padding-bottom: 0;
    order: 1;
  }
  .c-works-sliders__content {
    padding: 0;
    width: 100%;
    order: 2;
    margin-top: 0;
    text-align: center;
  }

  .c-works-sliders:before {
    bottom: -75px;
  }
  .top-slider .swiper-slide.swiper-slide-next,
  .top-slider .swiper-slide.swiper-slide-active {
    width: inherit !important;
  }

  .top-slider .swiper-pagination {
    margin-top: 20px;
    justify-content: center !important;
  }
  .top-slider .swiper-pagination-bullet {
    width: 7px;
    height: 7px;
    margin: 0 3px !important;
  }

  .p-top .c-recruit__img img {
    object-position: -40px center;
  }
}

/**End works*/
